> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unitedmarket.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List market trades

> Returns recent trades for a market.



## OpenAPI

````yaml /api-spec/openapi.yaml get /markets/{id}/trades
openapi: 3.0.3
info:
  title: United Market API
  version: 1.0.0
  description: >-
    Public backend API for market data, trading, authentication, profiles,
    comments, and leaderboards.
servers:
  - url: https://api.unitedmarket.ai
    description: United Market backend
security: []
tags:
  - name: Markets
    description: >-
      Market discovery, market details, orderbooks, tickers, price history, and
      trades.
  - name: Orders
    description: Signed order submission, cancellation, order lookup, and balances.
  - name: Authentication
    description: SIWE wallet authentication.
  - name: Discovery
    description: Tags and market groups.
  - name: Social
    description: Comments, users, and leaderboard data.
  - name: Fees
    description: Effective trading fee rate per market.
  - name: Referral
    description: Referral codes, attribution, and reward summaries.
paths:
  /markets/{id}/trades:
    get:
      tags:
        - Markets
      summary: List market trades
      description: Returns recent trades for a market.
      operationId: listMarketTrades
      parameters:
        - $ref: '#/components/parameters/MarketId'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          description: Trades returned.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Trade'
components:
  parameters:
    MarketId:
      name: id
      in: path
      required: true
      schema:
        type: string
      description: Market id.
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 500
        default: 20
      description: Maximum number of items to return.
    Offset:
      name: offset
      in: query
      schema:
        type: integer
        minimum: 0
        default: 0
      description: Number of items to skip.
  schemas:
    Trade:
      type: object
      additionalProperties: true
      properties:
        orderHash:
          type: string
        tokenId:
          type: string
        maker:
          type: string
        taker:
          type: string
        makerAmountFilled:
          type: string
        takerAmountFilled:
          type: string
        txHash:
          type: string

````